commit:     edce3a9b8cba345ad645502ec3c534b86060030c
Author:     Nowa Ammerlaan <nowa <AT> gentoo <DOT> org>
AuthorDate: Fri Feb 27 15:51:48 2026 +0000
Commit:     Nowa Ammerlaan <nowa <AT> gentoo <DOT> org>
CommitDate: Fri Feb 27 15:54:20 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=edce3a9b

sys-kernel/dracut: install network-legacy, add flag for man building

The option is named 'documentation' but what it really toggles is the
generation and installation of the man pages. Add a flag for this
since it requires extra dependencies. Always install the network-
legacy module, our users still need it. AFAICS the only alternative
is NetworkManager.

Closes: https://bugs.gentoo.org/970444
Signed-off-by: Nowa Ammerlaan <nowa <AT> gentoo.org>

 .../{dracut-110.ebuild => dracut-110-r1.ebuild}    | 23 +++++++++++++---------
 sys-kernel/dracut/dracut-9999.ebuild               | 23 +++++++++++++---------
 2 files changed, 28 insertions(+), 18 deletions(-)

diff --git a/sys-kernel/dracut/dracut-110.ebuild 
b/sys-kernel/dracut/dracut-110-r1.ebuild
similarity index 96%
rename from sys-kernel/dracut/dracut-110.ebuild
rename to sys-kernel/dracut/dracut-110-r1.ebuild
index e95f6d9453fc..c4031c3873bb 100644
--- a/sys-kernel/dracut/dracut-110.ebuild
+++ b/sys-kernel/dracut/dracut-110-r1.ebuild
@@ -22,7 +22,7 @@ HOMEPAGE="https://github.com/dracut-ng/dracut-ng/wiki";
 
 LICENSE="GPL-2"
 SLOT="0"
-IUSE="dracut-cpio selinux systemd test"
+IUSE="dracut-cpio man selinux systemd test"
 RESTRICT="test"
 PROPERTIES="test? ( test_privileged test_network )"
 
@@ -57,15 +57,15 @@ DEPEND="${COMMON_DEPEND}
 "
 
 BDEPEND="
-       || (
-               app-text/asciidoc
-               dev-ruby/asciidoctor
-       )
        app-text/docbook-xml-dtd:4.5
        >=app-text/docbook-xsl-stylesheets-1.75.2
        >=dev-libs/libxslt-1.1.26
        virtual/pkgconfig
        dracut-cpio? ( ${RUST_DEPEND} )
+       man? ( || (
+               app-text/asciidoc
+               dev-ruby/asciidoctor
+       ) )
        test? (
                net-nds/rpcbind
                net-fs/nfs-utils
@@ -114,15 +114,20 @@ pkg_setup() {
 
 src_configure() {
        local myconf=(
+               --bashcompletiondir="$(get_bashcompdir)"
+               --disable-dracut-cpio
+               --enable-network-legacy
                --prefix="${EPREFIX}/usr"
                --sysconfdir="${EPREFIX}/etc"
-               --bashcompletiondir="$(get_bashcompdir)"
                --systemdsystemunitdir="$(systemd_get_systemunitdir)"
-               --disable-dracut-cpio
        )
 
-       if ! has_version -b dev-ruby/asciidoctor; then
-               myconf+=( --disable-asciidoctor )
+       if use man; then
+               if ! has_version -b dev-ruby/asciidoctor; then
+                       myconf+=( --disable-asciidoctor )
+               fi
+       else
+               myconf+=( --disable-documentation )
        fi
 
        # this emulates what the build system would be doing without us

diff --git a/sys-kernel/dracut/dracut-9999.ebuild 
b/sys-kernel/dracut/dracut-9999.ebuild
index e95f6d9453fc..c4031c3873bb 100644
--- a/sys-kernel/dracut/dracut-9999.ebuild
+++ b/sys-kernel/dracut/dracut-9999.ebuild
@@ -22,7 +22,7 @@ HOMEPAGE="https://github.com/dracut-ng/dracut-ng/wiki";
 
 LICENSE="GPL-2"
 SLOT="0"
-IUSE="dracut-cpio selinux systemd test"
+IUSE="dracut-cpio man selinux systemd test"
 RESTRICT="test"
 PROPERTIES="test? ( test_privileged test_network )"
 
@@ -57,15 +57,15 @@ DEPEND="${COMMON_DEPEND}
 "
 
 BDEPEND="
-       || (
-               app-text/asciidoc
-               dev-ruby/asciidoctor
-       )
        app-text/docbook-xml-dtd:4.5
        >=app-text/docbook-xsl-stylesheets-1.75.2
        >=dev-libs/libxslt-1.1.26
        virtual/pkgconfig
        dracut-cpio? ( ${RUST_DEPEND} )
+       man? ( || (
+               app-text/asciidoc
+               dev-ruby/asciidoctor
+       ) )
        test? (
                net-nds/rpcbind
                net-fs/nfs-utils
@@ -114,15 +114,20 @@ pkg_setup() {
 
 src_configure() {
        local myconf=(
+               --bashcompletiondir="$(get_bashcompdir)"
+               --disable-dracut-cpio
+               --enable-network-legacy
                --prefix="${EPREFIX}/usr"
                --sysconfdir="${EPREFIX}/etc"
-               --bashcompletiondir="$(get_bashcompdir)"
                --systemdsystemunitdir="$(systemd_get_systemunitdir)"
-               --disable-dracut-cpio
        )
 
-       if ! has_version -b dev-ruby/asciidoctor; then
-               myconf+=( --disable-asciidoctor )
+       if use man; then
+               if ! has_version -b dev-ruby/asciidoctor; then
+                       myconf+=( --disable-asciidoctor )
+               fi
+       else
+               myconf+=( --disable-documentation )
        fi
 
        # this emulates what the build system would be doing without us

Reply via email to